GT-GFF3(1)

NAME
gt-gff3 - Parse, possibly transform, and output GFF3 files.

SYNOPSIS

gt gff3 [option ...] [GFF3_file ...]

DESCRIPTION

-sort [yes|no]
    sort the GFF3 features (memory consumption is proportional to the input file size(s)) (default: no)

-sortlines [yes|no]
    sort the GFF3 features on a strict line basis (not sorted asdefined by GenomeTools) (default: no)

-sortnum [yes|no]
    enable natural numeric sorting for sequence regions (not sorted as defined by GenomeTools) (default: no)

-tidy [yes|no]
    try to tidy the GFF3 files up during parsing (default: no)

-retainids [yes|no]
    when available, use the original IDs provided in the source file (memory consumption is proportional to the input file size(s)) (default: no)

-checkids [yes|no]
    make sure the ID attributes are unique within the scope of each GFF3_file, as required by GFF3 specification (memory consumption is proportional to the input file size(s)). If features with the same Parent attribute are not separated by a # line the GFF3 parser tries to treat them as a multi-line feature. This requires at least matching sequence IDs and types. (default: no)

-addids [yes|no]
    add missing "##sequence-region" lines automatically (default: yes)

-fixregionboundaries [yes|no]
    automatically adjust "##sequence-region" lines to contain all their features (memory consumption is proportional to the input file size(s)) (default: no)

-addintrons [yes|no]
    add intron features between existing exon features (default: no)

-offset [value]
    transform all features by the given offset

-offsetfile [filename]
    transform all features by the offsets given in file (default: undefined)

-setsource [string]
    set the source value (2nd column) of each feature (default: undefined)

-typecheck [string]
    use an ontology given in an OBO file to validate parent-child relationships. If no argument is given, the sofa.obo file from the gtdata/obo_files directory is used. If an argument is given, it is used as an OBO filename. In the case that such a file does not exist .obo is added to the argument and loading the resulting filename from the gtdata/obo_files directory is attempted. (default: undefined)

-xrfcheck [string]
    check Dbxref and Ontology_term attributes for correct syntax according to a abbreviation definition file. If no argument is given, the GO.xrf_abbs file from the gtdata/xrf_abbr directory is used. If an argument is given, it is used as an specific filename for an abbreviation file. In the case that such a file does not exist, .xrf_abbr is added to the argument and loading the resulting filename from the gtdata/xrf_abbr directory is attempted. (default: undefined)

-show [yes|no]
    show GFF3 output (default: yes)

-v [yes|no]
    be verbose (default: no)

-width [value]
    set output width for FASTA sequence printing (0 disables formatting) (default: 0)

-o [filename]
    redirect output to specified file (default: undefined)

-gzip [yes|no]
    write gzip compressed output file (default: no)

-bzip2 [yes|no]
    write bzip2 compressed output file (default: no)

-force [yes|no]
    force writing to output file (default: no)

-help
    display help and exit

-version
    display version information and exit

File format for option -offsetfile:

The file supplied to option -offsetfile defines a mapping table named “offsets”. It maps the sequence-region entries given in the GFF3_file to offsets. It can be defined as follows:

    offsets = {
      chr1  = 1000,
      chr2  = 500
    }

When this example is used, all features with seqid “chr1” will be offset by 1000 and all features with seqid “chr2” by 500.

If -offsetfile is used, offsets for all sequence-regions contained in the given GFF3 files must be defined.

REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.